import request from '@/utils/request'

// 查询用户好友提成列表
export function listUserInfo(query) {
  return request({
    url: '/cai/userInfo/list',
    method: 'get',
    params: query
  })
}

// 查询用户好友提成详细
export function getUserInfo(userId) {
  return request({
    url: '/cai/userInfo/' + userId,
    method: 'get'
  })
}

// 新增用户好友提成
export function addUserInfo(data) {
  return request({
    url: '/cai/userInfo',
    method: 'post',
    data: data
  })
}

// 修改用户好友提成
export function updateUserInfo(data) {
  return request({
    url: '/cai/userInfo',
    method: 'put',
    data: data
  })
}

// 删除用户好友提成
export function delUserInfo(userId) {
  return request({
    url: '/cai/userInfo/' + userId,
    method: 'delete'
  })
}
